## srt 1.0.0

=== DESCRIPTION ===
Package: srt
Title: Read Subtitle Files as Tabular Data
Version: 1.0.0
Authors@R: 
    person(given = "Kiernan",
           family = "Nicholls",
           role = c("aut", "cre"),
           email = "kiernann@protonmail.com")
Description: Read 'SubRip' <https://sourceforge.net/projects/subrip/> 
    subtitle files as data frames for easy text analysis or manipulation. 
    Easily shift numeric timings and export subtitles back into valid 'SubRip' 
    timestamp format to sync subtitles and audio.
License: GPL-3
URL: https://github.com/kiernann/srt, https://kiernann.com/srt/
BugReports: https://github.com/kiernann/srt/issues
Suggests: covr (>= 3.5.1), testthat (>= 3.0.0), tibble (>= 3.0.4)
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-11-27 02:17:26 UTC; kiernan
Author: Kiernan Nicholls [aut, cre]
Maintainer: Kiernan Nicholls <kiernann@protonmail.com>
Repository: CRAN
Date/Publication: 2020-11-30 08:50:03 UTC

## srt 1.0.2

=== DESCRIPTION ===
Package: srt
Title: Read Subtitle Files as Tabular Data
Version: 1.0.2
Authors@R: 
    person(given = "Kiernan",
           family = "Nicholls",
           role = c("aut", "cre"),
           email = "kiernann@protonmail.com")
Description: Read 'SubRip'
    <https://sourceforge.net/projects/subrip/> subtitle files as data
    frames for easy text analysis or manipulation.  Easily shift numeric
    timings and export subtitles back into valid 'SubRip' timestamp format
    to sync subtitles and audio.
License: GPL-3
URL: https://github.com/kiernann/srt, https://kiernann.com/srt/
BugReports: https://github.com/kiernann/srt/issues
Suggests: covr (>= 3.5.1), spelling (>= 2.2), testthat (>= 3.0.0),
        tibble (>= 3.0.4)
Encoding: UTF-8
Language: en-US
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-02-16 19:15:28 UTC; kiernan
Author: Kiernan Nicholls [aut, cre]
Maintainer: Kiernan Nicholls <kiernann@protonmail.com>
Repository: CRAN
Date/Publication: 2021-02-16 19:40:02 UTC

## srt 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: srt
 Title: Read Subtitle Files as Tabular Data
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: 
     person(given = "Kiernan",
            family = "Nicholls",
@@ -18,11 +18,10 @@
         tibble (>= 3.0.4)
 Encoding: UTF-8
 Language: en-US
-LazyData: true
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-02-16 19:15:28 UTC; kiernan
+Packaged: 2021-09-01 15:04:08 UTC; kiernan
 Author: Kiernan Nicholls [aut, cre]
 Maintainer: Kiernan Nicholls <kiernann@protonmail.com>
 Repository: CRAN
-Date/Publication: 2021-02-16 19:40:02 UTC
+Date/Publication: 2021-09-02 10:50:02 UTC

## srt 1.0.4

=== DESCRIPTION ===
Package: srt
Title: Read Subtitle Files as Tabular Data
Version: 1.0.4
Authors@R: 
    person("Kiernan", "Nicholls", email = "k5cents@gmail.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-9229-7897"))
Description: Read 'SubRip' <https://sourceforge.net/projects/subrip/>
    subtitle files as data frames for easy text analysis or manipulation.
    Easily shift numeric timings and export subtitles back into valid
    'SubRip' timestamp format to sync subtitles and audio.
License: GPL-3
URL: https://k5cents.github.io/srt/, https://github.com/k5cents/srt
BugReports: https://github.com/k5cents/srt/issues
Suggests: covr (>= 3.5.1), spelling (>= 2.2), testthat (>= 3.0.0),
        tibble (>= 3.0.4)
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-03-11 14:13:02 UTC; kiernan
Author: Kiernan Nicholls [aut, cre, cph]
    (<https://orcid.org/0000-0002-9229-7897>)
Maintainer: Kiernan Nicholls <k5cents@gmail.com>
Repository: CRAN
Date/Publication: 2024-03-11 15:40:05 UTC

## srt 1.3.1

=== CMakeLists.txt ===
#
# SRT - Secure, Reliable, Transport
# Copyright (c) 2018 Haivision Systems Inc.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
# XXX This can be potentially done in future, but there still exist
# some dependent project using cmake 2.8 - this can't be done this way.
#cmake_minimum_required (VERSION 3.0.2 FATAL_ERROR)
#project(SRT VERSION "1.3.0")
project(SRT C CXX)

set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/scripts")
include(haiUtil)
include(FindPkgConfig)
# XXX See 'if (MINGW)' condition below, may need fixing.
include(FindThreads)

# Platform shortcuts
set_if(DARWIN      ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
set_if(LINUX       ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
set_if(MICROSOFT   WIN32 AND (NOT MINGW AND NOT CYGWIN))
set_if(SYMLINKABLE LINUX OR DARWIN OR CYGWIN)

# Not sure what to do in case of compiling by MSVC.
# This will make installdir in C:\Program Files\SRT then
# inside "bin" and "lib64" directories. At least this maintains
# the current status. Shall this be not desired, override values
# of CMAKE_INSTALL_BINDIR, CMAKE_INSTALL_LIBDIR and CMAKE_INSTALL_INCLUDEDIR.
if (NOT DEFINED CMAKE_INSTALL_LIBDIR)
	include(GNUInstallDirs)
endif()

set (SRT_VERSION 1.3.1)
set_version_variables(SRT_VERSION ${SRT_VERSION})

# The CMAKE_BUILD_TYPE seems not to be always set, weird.
if (NOT DEFINED ENABLE_DEBUG)

	if (CMAKE_BUILD_TYPE STREQUAL "Debug")
		set (ENABLE_DEBUG ON)
	else()
		set (ENABLE_DEBUG OFF)
	endif()
endif()

# Set CMAKE_BUILD_TYPE properly, now that you know
# that ENABLE_DEBUG is set as it should.

if (ENABLE_DEBUG EQUAL 1)
	set (CMAKE_BUILD_TYPE "Debug")
elseif (ENABLE_DEBUG EQUAL 2)
	set (CMAKE_BUILD_TYPE "RelWithDebInfo")
else()
	set (CMAKE_BUILD_TYPE "Release")
endif()

message(STATUS "BUILD TYPE: ${CMAKE_BUILD_TYPE}")

# option defaults
# XXX CHANGE: Logging is enabled now by default,
# use ENABLE_LOGGING=NO in cmake or
# --disable-logging in configure.
set(ENABLE_HEAVY_LOGGING_DEFAULT OFF)

# Always turn logging on if the build type is debug
if (ENABLE_DEBUG)
	set(ENABLE_HEAVY_LOGGING_DEFAULT ON)
endif()


# options
option(CYGWIN_USE_POSIX "Should the POSIX API be used for cygwin. Ignored if the system isn't cygwin." OFF)
option(ENABLE_CXX11 "Should the c++11 parts (srt-live-transmit) be enabled" ON)
option(ENABLE_PROFILE "Should instrument the code for profiling. Ignored for non-GNU compiler." $ENV{HAI_BUILD_PROFILE})
option(ENABLE_LOGGING "Should logging be enabled" ON)
option(ENABLE_HEAVY_LOGGING "Should heavy debug logging be enabled" ${ENABLE_HEAVY_LOGGING_DEFAULT})
option(ENABLE_HAICRYPT_LOGGING "Should logging in haicrypt be enabled" 0)
option(ENABLE_SHARED "Should libsrt be built as a shared library" ON)
option(ENABLE_STATIC "Should libsrt be built as a static library" ON)
option(ENABLE_SUFLIP "Should suflip tool be built" OFF)
option(ENABLE_GETNAMEINFO "In-logs sockaddr-to-string should do rev-dns" OFF)
option(USE_GNUTLS "Should use gnutls instead of openssl" OFF)
option(ENABLE_C_DEPS "Extra library dependencies in srt.pc for C language" OFF)
option(USE_STATIC_LIBSTDCXX "Should use static rather than shared libstdc++" OFF)

set(TARGET_srt "srt" CACHE STRING "The name for the haisrt library")

if (NOT ENABLE_LOGGING)
	set (ENABLE_HEAVY_LOGGING OFF)
	message(STATUS "LOGGING: DISABLED")
else()
	if (ENABLE_HEAVY_LOGGING)
		message(STATUS "LOGGING: HEAVY")
	else()
		message(STATUS "LOGGING: ENABLED")
	endif()
endif()

if ( CYGWIN AND NOT CYGWIN_USE_POSIX )
	set(WIN32 1)
	set(CMAKE_LEGACY_CYGWIN_WIN32 1)
	add_definitions(-DWIN32=1 -DCYGWIN=1)
	message(STATUS "HAVE CYGWIN. Setting backward compat CMAKE_LEGACY_CYGWIN_WIN32 and -DWIN32")
endif()

# Make sure DLLs and executabes go to the same path regardles of subdirectory
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

# Handle WITH_COMPILER_PREFIX and WITH_COMPILER_TYPE options
if (DEFINED WITH_COMPILER_PREFIX)
	message(STATUS "Handling compiler with WITH_COMPILER_PREFIX=${WITH_COMPILER_PREFIX}")
	# Check also type. Default is gcc.
	if (NOT DEFINED WIHT_COMPILER_TYPE)
		set (WITH_COMPILER_TYPE gcc)
	endif()

	if (${WITH_COMPILER_TYPE} STREQUAL gcc)
		set (CMAKE_C_COMPILER ${WITH_COMPILER_PREFIX}gcc)
		set (CMAKE_CXX_COMPILER ${WITH_COMPILER_PREFIX}g++)
	elseif (${WITH_COMPILER_TYPE} STREQUAL cc)
		set (CMAKE_C_COMPILER ${WITH_COMPILER_PREFIX}cc)
		set (CMAKE_CXX_COMPILER ${WITH_COMPILER_PREFIX}c++)
	else()
		# Use blindly <command> for C compiler and <command>++ for C++.
		# At least this matches clang.
		set (CMAKE_C_COMPILER ${WITH_COMPILER_PREFIX}${WITH_COMPILER_TYPE})
		set (CMAKE_CXX_COMPILER ${WITH_COMPILER_PREFIX}${WITH_COMPILER_TYPE}++)
	endif()
else()
	message(STATUS "No WITH_COMPILER_PREFIX - using C++ compiler ${CMAKE_CXX_COMPILER}")
endif()


if (DEFINED WITH_SRT_TARGET)
	set (TARGET_haisrt ${WITH_SRT_TARGET})
endif()

# When you use crosscompiling, you have to take care that PKG_CONFIG_PATH
# and CMAKE_PREFIX_PATH are set properly.

# find OpenSSL
if ( USE_GNUTLS )
	set (SSL_REQUIRED_MODULES "gnutls nettle")
	if (WIN32)
		if (MINGW)
			set (SSL_REQUIRED_MODULES "${SSL_REQUIRED_MODULES} zlib")
		endif()
	endif()
 
	pkg_check_modules (SSL REQUIRED ${SSL_REQUIRED_MODULES})

	add_definitions(
		-DUSE_GNUTLS=1
	)

	link_directories(
		${SSL_LIBRARY_DIRS}
	)
	message(STATUS "SSL Dependency: using GNUTLS with Nettle, as requested")
else()
	set (SSL_REQUIRED_MODULES "openssl libcrypto zlib")

	if (USE_OPENSSL_PC)

		pkg_check_modules(SSL REQUIRED ${SSL_REQUIRED_MODULES})

		# We have some cases when pkg-config is improperly configured
		# When it doesn't ship the -L and -I options, and the CMAKE_PREFIX_PATH
		# is set (also through `configure`), then we have this problem. If so,
		# set forcefully the -I and -L contents to prefix/include and
		# prefix/lib.

		if ("${SSL_LIBRARY_DIRS}" STREQUAL "")
		if (NOT "${CMAKE_PREFIX_PATH}" STREQUAL "")
			message(STATUS "WARNING: pkg-config has incorrect prefix - enforcing target path prefix: ${CMAKE_PREFIX_PATH}")
			set (SSL_LIBRARY_DIRS ${CMAKE_PREFIX_PATH}/${CMAKE_INSTALL_LIBDIR})
			set (SSL_INCLUDE_DIRS ${CMAKE_PREFIX_PATH}/include)
		endif()
		endif()

		link_directories(
			${SSL_LIBRARY_DIRS}
		)
		message(STATUS "SSL REPORT: -L ${SSL_LIBRARY_DIRS} -I ${SSL_INCLUDE_DIRS} -l;${SSL_LIBRARIES}")
	else()

		find_package(OpenSSL REQUIRED)
		set (SSL_INCLUDE_DIRS ${OPENSSL_INCLUDE_DIR})
		set (SSL_LIBRARIES ${OPENSSL_LIBRARIES})
	endif()
	add_definitions(
		-DHAICRYPT_USE_OPENSSL_EVP=1
		-DHAICRYPT_USE_OPENSSL_AES
	)
	message(STATUS "SSL Dependency: using OpenSSL (default)")
endif()

message (STATUS "SSL libraries: ${SSL_LIBRARIES}")

# Detect if the compiler is GNU compatable for flags
set(HAVE_COMPILER_GNU_COMPAT 0)
foreach (gnid GNU Intel Clang AppleClang)
	if (${CMAKE_CXX_COMPILER_ID} STREQUAL ${gnid})
		set(HAVE_COMPILER_GNU_COMPAT 1)
		break()
	endif()
endforeach()

if (DISABLE_CXX11)
	set (ENABLE_CXX11 0)
elseif( DEFINED ENABLE_CXX11 )
else()
	set (ENABLE_CXX11 1)
endif()

if (NOT ENABLE_CXX11)
	message(WARNING "Parts that require C++11 support will be disabled (srt-live-transmit)")
endif()

if (HAVE_COMPILER_GNU_COMPAT)
	message(STATUS "COMPILER: GNU compat: ${CMAKE_CXX_COMPILER}")
else()
	message(STATUS "COMPILER: NOT GNU compat: ${CMAKE_CXX_COMPILER}")
endif()

# add extra warning flags for gccish compilers
if (HAVE_COMPILER_GNU_COMPAT)
	set (SRT_GCC_WARN "-Wall -Wextra")
else()
	# cpp debugging on Windows :D
	#set (SRT_GCC_WARN "/showIncludes")
endif()

if (USE_STATIC_LIBSTDCXX)
	if (HAVE_COMPILER_GNU_COMPAT)
		set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libstdc++")
	else()
		message(FATAL_ERROR "On non-GNU-compat compiler it's not known how to use static C++ standard library.")
	endif()
endif()

# This options is necessary on some systems; on a cross-ARM compiler it
# has been detected, for example, that -lrt is necessary for some applications
# because clock_gettime is needed by some functions and it is alternatively
# provided by libc, but only in newer versions. This options is rarely necessary,
# but may help in several corner cases in unusual platforms.
if (WITH_EXTRALIBS)
	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${WITH_EXTRALIBS}")
endif()

# CMake has only discovered in 3.3 version that some set-finder is
# necessary. Using variables for shortcut to a clumsy check syntax.

set (srt_libspec_shared ${ENABLE_SHARED})
set (srt_libspec_static ${ENABLE_STATIC})

set (haicrypt_libspec VIRTUAL)

set (srtpack_libspec_common)
if (srt_libspec_shared)
	list(APPEND srtpack_libspec_common ${TARGET_srt}_shared)
endif()
if (srt_libspec_static)
	list(APPEND srtpack_libspec_common ${TARGET_srt}_static)
endif()

set (SRT_SRC_HAICRYPT_DIR ${CMAKE_CURRENT_SOURCE_DIR}/haicrypt)
set (SRT_SRC_SRTCORE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/srtcore)
set (SRT_SRC_COMMON_DIR ${CMAKE_CURRENT_SOURCE_DIR}/common)
set (SRT_SRC_TOOLS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tools)

if(WIN32)
	message(STATUS "DETECTED SYSTEM: WINDOWS;  WIN32=1; PTW32_STATIC_LIB=1")
    add_definitions(-DWIN32=1 -DPTW32_STATIC_LIB)
elseif(DARWIN)
    message(STATUS "DETECTED SYSTEM: DARWIN;  OSX=11; MACOSX_RPATH=OFF")
    add_definitions(-DOSX=1)
	set(MACOSX_RPATH OFF)
elseif(LINUX)
    add_definitions(-DLINUX=1)
    message(STATUS "DETECTED SYSTEM: LINUX;  LINUX=1" )
elseif(CYGWIN)
    add_definitions(-DCYGWIN=1)
	message(STATUS "DETECTED SYSTEM: CYGWIN (posix mode); CYGWIN=1")
else()
    message(FATAL_ERROR "Unsupported system: ${CMAKE_SYSTEM_NAME}")
endif()

add_definitions(
   -D_GNU_SOURCE
   -DHAI_PATCH=1
   -DHAI_ENABLE_SRT=1
   -DSRT_VERSION="${SRT_VERSION}"
)

# This is obligatory include directory for all targets. This is only
# for private headers. Installable headers should be exclusively used DIRECTLY.
include_directories(${SRT_SRC_COMMON_DIR} ${SRT_SRC_SRTCORE_DIR} ${SRT_SRC_HAICRYPT_DIR})

if (ENABLE_LOGGING)
    list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_LOGGING=1")
	if (ENABLE_HEAVY_LOGGING)
		list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_HEAVY_LOGGING=1")
	endif()
	if (ENABLE_HAICRYPT_LOGGING)
		if (ENABLE_HAICRYPT_LOGGING STREQUAL 2) # Allow value 2 for INSECURE DEBUG logging
			message(WARNING " *** ENABLED INSECURE HAICRYPT LOGGING - USE FOR TESTING ONLY!!! ***")
			list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_HAICRYPT_LOGGING=2")
		else()
			list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_HAICRYPT_LOGGING=1")
		endif()
	endif()
endif()

if (ENABLE_GETNAMEINFO)
	list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_GETNAMEINFO=1")
endif()

if (ENABLE_THREAD_CHECK)
      add_definitions(
               -DSRT_ENABLE_THREADCHECK=1
               -DFUGU_PLATFORM=1
               -I${WITH_THREAD_CHECK_INCLUDEDIR}
        )
endif()

if (${ENABLE_PROFILE} AND HAVE_COMPILER_GNU_COMPAT)
    # They are actually cflags, not definitions, but CMake is stupid enough.
    add_definitions(-g -pg)
	link_libraries(-g -pg)
endif()

if (MINGW)
	set (PTHREAD_LIBRARY -lpthreadGC2)
	# XXX CONSIDER THIS. It came from a merged previous master version
	# and was under an if(NOT MINGW)...elseif(THREADS_FOUND) condition.
	# Might be that the current form still suffices; resolve this and remove comment.
	#if(THREADS_FOUND)
	#set(PTHREAD_LIBRARY ${CMAKE_THREAD_LIBS_INIT})
	#else()
	find_library(PTHREAD_LIBRARY NAMES pthread pthreadGC2 pthreadGC)
	#endif() 
elseif (PTHREAD_LIBRARY AND PTHREAD_INCLUDE_DIR)
	message(STATUS "Pthread library: ${PTHREAD_LIBRARY}")
	message(STATUS "Pthread include dir: ${PTHREAD_INCLUDE_DIR}")
elseif (WIN32)
	# find pthread
	find_path(PTHREAD_INCLUDE_DIR pthread.h HINTS C:/pthread-win32/include)
	if (PTHREAD_INCLUDE_DIR)
		message(STATUS "Pthread include dir: ${PTHREAD_INCLUDE_DIR}")
	else()

=== debian/changelog ===
srt (1.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #908333)

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Sep 2018 17:27:04 +0100

=== debian/control ===
Source: srt
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 11~),
 cmake,
 chrpath,
 help2man,
 libssl-dev,
 pkg-config,
 python3-sphinx,
 tclsh
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/Haivision/srt
Vcs-Browser: https://salsa.debian.org/debian/srt
Vcs-Git: https://salsa.debian.org/debian/srt.git

Package: libsrt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsrt1 (= ${binary:Version}), ${misc:Depends}
Suggests: libsrt-doc (= ${binary:Version})
Description: Secure Reliable Transport UDP streaming library
 SRT is a latency-aware UDP transport mechanism optimized for video streams.
 It detects and compensates for jitter and bandwidth fluctuations due to
 network congestion. It mitigates packet loss and supports AES encryption.
 .
 This package contains development files for libsrt1

Package: libsrt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Secure Reliable Transport UDP streaming library
 SRT is a latency-aware UDP transport mechanism optimized for video streams.
 It detects and compensates for jitter and bandwidth fluctuations due to
 network congestion. It mitigates packet loss and supports AES encryption.
 .
 This package contains documentation files for libsrt1

Package: libsrt1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Secure Reliable Transport UDP streaming library
 SRT is a latency-aware UDP transport mechanism optimized for video streams.
 It detects and compensates for jitter and bandwidth fluctuations due to
 network congestion. It mitigates packet loss and supports AES encryption.

Package: srt-tools
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libsrt1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Secure Reliable Transport UDP streaming library
 SRT is a latency-aware UDP transport mechanism optimized for video streams.
 It detects and compensates for jitter and bandwidth fluctuations due to
 network congestion. It mitigates packet loss and supports AES encryption.
 .
 This package contains CLI tool.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/default.mk  # provides DEB_VERSION

%:
	dh $@ --with sphinxdoc

override_dh_auto_clean:
	dh_clean
	rm -rf CMakeFiles/ debian/html

override_dh_auto_build:
	dh_auto_build
	http_proxy='http://127.0.0.1:9/' sphinx-build -N -c debian -bhtml docs debian/html

override_dh_auto_install:
	dh_auto_install
	cp debian/tmp/usr/bin/srt-live-transmit debian/tmp/usr/bin/stransmit

override_dh_installman:
	help2man --no-discard-stderr --no-info --version-string="$(DEB_VERSION)" \
	--name "" \
	-o ./debian/srt-file-transmit.1 ./debian/srt-tools/usr/bin/srt-file-transmit
	help2man --no-discard-stderr --no-info --version-string="$(DEB_VERSION)" \
	--name "" \
	-o ./debian/srt-live-transmit.1 ./debian/srt-tools/usr/bin/srt-live-transmit
	help2man --no-discard-stderr --no-info --version-string="$(DEB_VERSION)" \
	--name "" \
	-o ./debian/srt-multiplex.1 ./debian/srt-tools/usr/bin/srt-multiplex
	dh_installman

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/srt-$1\.tar\.gz/ \
  https://github.com/Haivision/srt/tags .*/v?(\d\S*)\.tar\.gz

## srt 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # XXX This can be potentially done in future, but there still exist
 # some dependent project using cmake 2.8 - this can't be done this way.
 #cmake_minimum_required (VERSION 3.0.2 FATAL_ERROR)
-#project(SRT VERSION "1.3.0")
+#project(SRT VERSION "1.3.2")
 project(SRT C CXX)
 
 set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/scripts")
@@ -19,6 +19,7 @@
 include(FindPkgConfig)
 # XXX See 'if (MINGW)' condition below, may need fixing.
 include(FindThreads)
+include(CheckFunctionExists)
 
 # Platform shortcuts
 set_if(DARWIN      ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
@@ -35,7 +36,7 @@
 	include(GNUInstallDirs)
 endif()
 
-set (SRT_VERSION 1.3.1)
+set (SRT_VERSION 1.3.2)
 set_version_variables(SRT_VERSION ${SRT_VERSION})
 
 # The CMAKE_BUILD_TYPE seems not to be always set, weird.
@@ -82,11 +83,15 @@
 option(ENABLE_HAICRYPT_LOGGING "Should logging in haicrypt be enabled" 0)
 option(ENABLE_SHARED "Should libsrt be built as a shared library" ON)
 option(ENABLE_STATIC "Should libsrt be built as a static library" ON)
+option(ENABLE_RELATIVE_LIBPATH "Should application contain relative library paths, like ../lib" OFF)
 option(ENABLE_SUFLIP "Should suflip tool be built" OFF)
 option(ENABLE_GETNAMEINFO "In-logs sockaddr-to-string should do rev-dns" OFF)
+option(ENABLE_UNITTESTS "Enable unit tests" OFF)
 option(USE_GNUTLS "Should use gnutls instead of openssl" OFF)
-option(ENABLE_C_DEPS "Extra library dependencies in srt.pc for C language" OFF)
+option(ENABLE_CXX_DEPS "Extra library dependencies in srt.pc for the CXX libraries useful with C language" ON)
 option(USE_STATIC_LIBSTDCXX "Should use static rather than shared libstdc++" OFF)
+option(ENABLE_INET_PTON "Set to OFF to prevent usage of inet_pton when building against modern SDKs while still requiring compatibility with older Windows versions, such as Windows XP, Windows Server 2003 etc." ON)
+option(USE_OPENSSL_PC "Use pkg-config to find OpenSSL libraries" ON)
 
 set(TARGET_srt "srt" CACHE STRING "The name for the haisrt library")
 
@@ -145,8 +150,25 @@
 # When you use crosscompiling, you have to take care that PKG_CONFIG_PATH
 # and CMAKE_PREFIX_PATH are set properly.
 
+# symbol exists in win32, but function does not.
+if(WIN32)
+	if(ENABLE_INET_PTON)
+		set(CMAKE_REQUIRED_LIBRARIES ws2_32)
+		check_function_exists(inet_pton HAVE_INET_PTON)
+		add_definitions(-D_WIN32_WINNT=0x0600)
+	else()
+		add_definitions(-D_WIN32_WINNT=0x0501)
+	endif()
+else()
+	check_function_exists(inet_pton HAVE_INET_PTON)
+endif()
+if (DEFINED HAVE_INET_PTON)
+	add_definitions(-DHAVE_INET_PTON=1)
+endif()
+
 # find OpenSSL
 if ( USE_GNUTLS )
+	message(STATUS "SSL Dependency: using GNUTLS with Nettle, as requested")
 	set (SSL_REQUIRED_MODULES "gnutls nettle")
 	if (WIN32)
 		if (MINGW)
@@ -163,43 +185,44 @@
 	link_directories(
 		${SSL_LIBRARY_DIRS}
 	)
-	message(STATUS "SSL Dependency: using GNUTLS with Nettle, as requested")
-else()
-	set (SSL_REQUIRED_MODULES "openssl libcrypto zlib")
-
-	if (USE_OPENSSL_PC)
-
-		pkg_check_modules(SSL REQUIRED ${SSL_REQUIRED_MODULES})
-
-		# We have some cases when pkg-config is improperly configured
-		# When it doesn't ship the -L and -I options, and the CMAKE_PREFIX_PATH
-		# is set (also through `configure`), then we have this problem. If so,
-		# set forcefully the -I and -L contents to prefix/include and
-		# prefix/lib.
-
-		if ("${SSL_LIBRARY_DIRS}" STREQUAL "")
-		if (NOT "${CMAKE_PREFIX_PATH}" STREQUAL "")
-			message(STATUS "WARNING: pkg-config has incorrect prefix - enforcing target path prefix: ${CMAKE_PREFIX_PATH}")
-			set (SSL_LIBRARY_DIRS ${CMAKE_PREFIX_PATH}/${CMAKE_INSTALL_LIBDIR})
-			set (SSL_INCLUDE_DIRS ${CMAKE_PREFIX_PATH}/include)
+else()
+		message(STATUS "SSL Dependency: using OpenSSL (default)")
+
+		# Try using pkg-config method first if enabled,
+		# fall back to find_package method otherwise
+		if (USE_OPENSSL_PC)
+			pkg_check_modules(SSL "openssl libcrypto")
 		endif()
+		if (SSL_FOUND)
+			set (SSL_REQUIRED_MODULES "openssl libcrypto")
+
+			# We have some cases when pkg-config is improperly configured
+			# When it doesn't ship the -L and -I options, and the CMAKE_PREFIX_PATH
+			# is set (also through `configure`), then we have this problem. If so,
+			# set forcefully the -I and -L contents to prefix/include and
+			# prefix/lib.
+			if ("${SSL_LIBRARY_DIRS}" STREQUAL "")
+			if (NOT "${CMAKE_PREFIX_PATH}" STREQUAL "")
+				message(STATUS "WARNING: pkg-config has incorrect prefix - enforcing target path prefix: ${CMAKE_PREFIX_PATH}")
+				set (SSL_LIBRARY_DIRS ${CMAKE_PREFIX_PATH}/${CMAKE_INSTALL_LIBDIR})
+				set (SSL_INCLUDE_DIRS ${CMAKE_PREFIX_PATH}/include)
+			endif()
+			endif()
+
+			link_directories(
+				${SSL_LIBRARY_DIRS}
+			)
+			message(STATUS "SSL via pkg-config: -L ${SSL_LIBRARY_DIRS} -I ${SSL_INCLUDE_DIRS} -l;${SSL_LIBRARIES}")
+		else()
+			find_package(OpenSSL REQUIRED)
+			set (SSL_INCLUDE_DIRS ${OPENSSL_INCLUDE_DIR})
+			set (SSL_LIBRARIES ${OPENSSL_LIBRARIES})
+			message(STATUS "SSL via find_package(OpenSSL): -I ${SSL_INCLUDE_DIRS} -l;${SSL_LIBRARIES}")
 		endif()
-
-		link_directories(
-			${SSL_LIBRARY_DIRS}
-		)
-		message(STATUS "SSL REPORT: -L ${SSL_LIBRARY_DIRS} -I ${SSL_INCLUDE_DIRS} -l;${SSL_LIBRARIES}")
-	else()
-
-		find_package(OpenSSL REQUIRED)
-		set (SSL_INCLUDE_DIRS ${OPENSSL_INCLUDE_DIR})
-		set (SSL_LIBRARIES ${OPENSSL_LIBRARIES})
-	endif()
 	add_definitions(
 		-DHAICRYPT_USE_OPENSSL_EVP=1
 		-DHAICRYPT_USE_OPENSSL_AES
 	)
-	message(STATUS "SSL Dependency: using OpenSSL (default)")
 endif()
 
 message (STATUS "SSL libraries: ${SSL_LIBRARIES}")
@@ -275,29 +298,29 @@
 set (SRT_SRC_SRTCORE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/srtcore)
 set (SRT_SRC_COMMON_DIR ${CMAKE_CURRENT_SOURCE_DIR}/common)
 set (SRT_SRC_TOOLS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tools)
+set (SRT_SRC_TEST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/test)
 
 if(WIN32)
 	message(STATUS "DETECTED SYSTEM: WINDOWS;  WIN32=1; PTW32_STATIC_LIB=1")
-    add_definitions(-DWIN32=1 -DPTW32_STATIC_LIB)
+	add_definitions(-DWIN32=1 -DPTW32_STATIC_LIB=1)
 elseif(DARWIN)
-    message(STATUS "DETECTED SYSTEM: DARWIN;  OSX=11; MACOSX_RPATH=OFF")
-    add_definitions(-DOSX=1)
-	set(MACOSX_RPATH OFF)
+	message(STATUS "DETECTED SYSTEM: DARWIN;  OSX=1")
+	add_definitions(-DOSX=1)
 elseif(LINUX)
-    add_definitions(-DLINUX=1)
-    message(STATUS "DETECTED SYSTEM: LINUX;  LINUX=1" )
+	add_definitions(-DLINUX=1)
+	message(STATUS "DETECTED SYSTEM: LINUX;  LINUX=1" )
 elseif(CYGWIN)
-    add_definitions(-DCYGWIN=1)
+	add_definitions(-DCYGWIN=1)
 	message(STATUS "DETECTED SYSTEM: CYGWIN (posix mode); CYGWIN=1")
 else()
-    message(FATAL_ERROR "Unsupported system: ${CMAKE_SYSTEM_NAME}")
+	message(FATAL_ERROR "Unsupported system: ${CMAKE_SYSTEM_NAME}")
 endif()
 
 add_definitions(
-   -D_GNU_SOURCE
-   -DHAI_PATCH=1
-   -DHAI_ENABLE_SRT=1
-   -DSRT_VERSION="${SRT_VERSION}"
+	-D_GNU_SOURCE
+	-DHAI_PATCH=1
+	-DHAI_ENABLE_SRT=1
+	-DSRT_VERSION="${SRT_VERSION}"
 )
 
 # This is obligatory include directory for all targets. This is only
@@ -305,7 +328,7 @@
 include_directories(${SRT_SRC_COMMON_DIR} ${SRT_SRC_SRTCORE_DIR} ${SRT_SRC_HAICRYPT_DIR})
 
 if (ENABLE_LOGGING)
-    list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_LOGGING=1")
+	list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_LOGGING=1")
 	if (ENABLE_HEAVY_LOGGING)
 		list(APPEND SRT_EXTRA_CFLAGS "-DENABLE_HEAVY_LOGGING=1")
 	endif()
@@ -324,35 +347,6 @@
 endif()
 
 if (ENABLE_THREAD_CHECK)
-      add_definitions(
-               -DSRT_ENABLE_THREADCHECK=1
-               -DFUGU_PLATFORM=1
-               -I${WITH_THREAD_CHECK_INCLUDEDIR}
-        )
-endif()
-
-if (${ENABLE_PROFILE} AND HAVE_COMPILER_GNU_COMPAT)
-    # They are actually cflags, not definitions, but CMake is stupid enough.
-    add_definitions(-g -pg)
-	link_libraries(-g -pg)
-endif()
-
-if (MINGW)
-	set (PTHREAD_LIBRARY -lpthreadGC2)
-	# XXX CONSIDER THIS. It came from a merged previous master version
-	# and was under an if(NOT MINGW)...elseif(THREADS_FOUND) condition.
-	# Might be that the current form still suffices; resolve this and remove comment.
-	#if(THREADS_FOUND)
-	#set(PTHREAD_LIBRARY ${CMAKE_THREAD_LIBS_INIT})
-	#else()
-	find_library(PTHREAD_LIBRARY NAMES pthread pthreadGC2 pthreadGC)
-	#endif() 
-elseif (PTHREAD_LIBRARY AND PTHREAD_INCLUDE_DIR)
-	message(STATUS "Pthread library: ${PTHREAD_LIBRARY}")
-	message(STATUS "Pthread include dir: ${PTHREAD_INCLUDE_DIR}")
-elseif (WIN32)
-	# find pthread
-	find_path(PTHREAD_INCLUDE_DIR pthread.h HINTS C:/pthread-win32/include)
-	if (PTHREAD_INCLUDE_DIR)
-		message(STATUS "Pthread include dir: ${PTHREAD_INCLUDE_DIR}")
-	else()
+	add_definitions(
+		-DSRT_ENABLE_THREADCHECK=1
+		-DFUGU_PLATFORM=1

=== debian/changelog ===
srt (1.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/control: Fix wrong Vcs-*

  [ Federico Ceratto ]
  * New upstream release
  * Split override_dh_installman (Closes: #914364)


 -- Federico Ceratto <federico@debian.org>  Fri, 17 May 2019 21:28:13 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/Haivision/srt
-Vcs-Browser: https://salsa.debian.org/debian/srt
-Vcs-Git: https://salsa.debian.org/debian/srt.git
+Vcs-Browser: https://salsa.debian.org/debian/libsrt
+Vcs-Git: https://salsa.debian.org/debian/libsrt.git
 
 Package: libsrt-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,15 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	http_proxy='http://127.0.0.1:9/' sphinx-build -N -c debian -bhtml docs debian/html
+	http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -c debian -bhtml docs debian/html
 
 override_dh_auto_install:
 	dh_auto_install
-	cp debian/tmp/usr/bin/srt-live-transmit debian/tmp/usr/bin/stransmit
+	test -f debian/tmp/usr/bin/stransmit || cp debian/tmp/usr/bin/srt-live-transmit debian/tmp/usr/bin/stransmit
 
-override_dh_installman:
+override_dh_installman-indep:
+
+override_dh_installman-arch:
 	help2man --no-discard-stderr --no-info --version-string="$(DEB_VERSION)" \
 	--name "" \
 	-o ./debian/srt-file-transmit.1 ./debian/srt-tools/usr/bin/srt-file-transmit

## srt 1.4.0

=== CMakeLists.txt ===
#
# SRT - Secure, Reliable, Transport
# Copyright (c) 2018 Haivision Systems Inc.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
# XXX This can be potentially done in future, but there still exist
# some dependent project using cmake 2.8 - this can't be done this way.
#cmake_minimum_required (VERSION 3.0.2 FATAL_ERROR)
#project(SRT VERSION "1.3.4")
project(SRT C CXX)

set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/scripts")
include(haiUtil)
include(FindPkgConfig)
# XXX See 'if (MINGW)' condition below, may need fixing.
include(FindThreads)
include(CheckFunctionExists)

# Platform shortcuts
string(TOLOWER ${CMAKE_SYSTEM_NAME} SYSNAME_LC)
set_if(DARWIN      ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
set_if(LINUX       ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
set_if(BSD         ${SYSNAME_LC} MATCHES "bsd$")
set_if(MICROSOFT   WIN32 AND (NOT MINGW AND NOT CYGWIN))
set_if(SYMLINKABLE LINUX OR DARWIN OR BSD OR CYGWIN)

# Not sure what to do in case of compiling by MSVC.
# This will make installdir in C:\Program Files\SRT then
# inside "bin" and "lib64" directories. At least this maintains
# the current status. Shall this be not desired, override values
# of CMAKE_INSTALL_BINDIR, CMAKE_INSTALL_LIBDIR and CMAKE_INSTALL_INCLUDEDIR.
if (NOT DEFINED CMAKE_INSTALL_LIBDIR)
	include(GNUInstallDirs)
endif()

set (SRT_VERSION 1.4.0)
set_version_variables(SRT_VERSION ${SRT_VERSION})

# The CMAKE_BUILD_TYPE seems not to be always set, weird.
if (NOT DEFINED ENABLE_DEBUG)

	if (CMAKE_BUILD_TYPE STREQUAL "Debug")
		set (ENABLE_DEBUG ON)
	else()
		set (ENABLE_DEBUG OFF)
	endif()
endif()

# Set CMAKE_BUILD_TYPE properly, now that you know
# that ENABLE_DEBUG is set as it should.

if (ENABLE_DEBUG EQUAL 2)
	set (CMAKE_BUILD_TYPE "RelWithDebInfo")
elseif (ENABLE_DEBUG) # 1, ON, YES, TRUE, Y, or any other non-zero number
	set (CMAKE_BUILD_TYPE "Debug")
else()
	set (CMAKE_BUILD_TYPE "Release")
endif()

message(STATUS "BUILD TYPE: ${CMAKE_BUILD_TYPE}")

getVarsWith(ENFORCE_ enforcers)
foreach(ef ${enforcers})
	set (val ${${ef}})
	if (NOT val STREQUAL "")
		set(val =${val})
	endif()
	string(LENGTH ENFORCE_ pflen)
	string(LENGTH ${ef} eflen)
	math(EXPR alen ${eflen}-${pflen})
	string(SUBSTRING ${ef} ${pflen} ${alen} ef)
	message(STATUS "FORCED PP VARIABLE: ${ef}${val}")
	add_definitions(-D${ef}${val})
endforeach()

# option defaults
# XXX CHANGE: Logging is enabled now by default,
# use ENABLE_LOGGING=NO in cmake or
# --disable-logging in configure.
set(ENABLE_HEAVY_LOGGING_DEFAULT OFF)

# Always turn logging on if the build type is debug
if (ENABLE_DEBUG)
	set(ENABLE_HEAVY_LOGGING_DEFAULT ON)
endif()


# options
option(CYGWIN_USE_POSIX "Should the POSIX API be used for cygwin. Ignored if the system isn't cygwin." OFF)
option(ENABLE_CXX11 "Should the c++11 parts (srt-live-transmit) be enabled" ON)
option(ENABLE_APPS "Should the Support Applications be Built?" ON)
option(ENABLE_PROFILE "Should instrument the code for profiling. Ignored for non-GNU compiler." $ENV{HAI_BUILD_PROFILE})
option(ENABLE_LOGGING "Should logging be enabled" ON)
option(ENABLE_HEAVY_LOGGING "Should heavy debug logging be enabled" ${ENABLE_HEAVY_LOGGING_DEFAULT})
option(ENABLE_HAICRYPT_LOGGING "Should logging in haicrypt be enabled" 0)
option(ENABLE_SHARED "Should libsrt be built as a shared library" ON)
option(ENABLE_STATIC "Should libsrt be built as a static library" ON)
option(ENABLE_RELATIVE_LIBPATH "Should application contain relative library paths, like ../lib" OFF)
option(ENABLE_SUFLIP "Should suflip tool be built" OFF)
option(ENABLE_GETNAMEINFO "In-logs sockaddr-to-string should do rev-dns" OFF)
option(ENABLE_UNITTESTS "Enable unit tests" OFF)
option(ENABLE_ENCRYPTION "Enable encryption in SRT" ON)
option(USE_GNUTLS "DEPRECATED. Use USE_ENCLIB=openssl|gnutls|mbedtls instead" OFF)
option(ENABLE_CXX_DEPS "Extra library dependencies in srt.pc for the CXX libraries useful with C language" ON)
option(USE_STATIC_LIBSTDCXX "Should use static rather than shared libstdc++" OFF)
option(ENABLE_INET_PTON "Set to OFF to prevent usage of inet_pton when building against modern SDKs while still requiring compatibility with older Windows versions, such as Windows XP, Windows Server 2003 etc." ON)
option(ENABLE_CODE_COVERAGE "Enable code coverage reporting" OFF)

# ENABLE_MONOTONIC_CLOCK: enforces the use of clock_gettime to get the current
# time, instead of gettimeofday. This function allows to force a monotonic
# clock, which is independent on the currently set time in the system.  The CV,
# for which the *_timedwait() functions are used with so obtained current time,
# must be appropriately configured. The consequence of enabling this option,
# however, may be portability issues around the clock_gettime() function, which
# is not available on every SDK, or extra -lrt option is sometimes required
# (this requirement will be autodetected).
option(ENABLE_MONOTONIC_CLOCK "Enforced clock_gettime with monotonic clock on GC CV /temporary fix for #729/" OFF)
option(USE_OPENSSL_PC "Use pkg-config to find OpenSSL libraries" ON)
option(USE_BUSY_WAITING "Enable more accurate sending times at a cost of potentially higher CPU load" OFF)
option(USE_GNUSTL "Get c++ library/headers from the gnustl.pc" OFF)

set(TARGET_srt "srt" CACHE STRING "The name for the SRT library")

if (NOT ENABLE_LOGGING)
	set (ENABLE_HEAVY_LOGGING OFF)
	message(STATUS "LOGGING: DISABLED")
else()
	if (ENABLE_HEAVY_LOGGING)
		message(STATUS "LOGGING: HEAVY")
	else()
		message(STATUS "LOGGING: ENABLED")
	endif()
endif()

if (USE_BUSY_WAITING)
	message(STATUS "USE_BUSY_WAITING: ON")
	list(APPEND SRT_EXTRA_CFLAGS "-DUSE_BUSY_WAITING=1")
else()
	message(STATUS "USE_BUSY_WAITING: OFF (default)")
endif()

if ( CYGWIN AND NOT CYGWIN_USE_POSIX )
	set(WIN32 1)
	set(CMAKE_LEGACY_CYGWIN_WIN32 1)
	add_definitions(-DWIN32=1 -DCYGWIN=1)
	message(STATUS "HAVE CYGWIN. Setting backward compat CMAKE_LEGACY_CYGWIN_WIN32 and -DWIN32")
endif()

if (NOT USE_ENCLIB)
	if (USE_GNUTLS)
		message("NOTE: USE_GNUTLS is deprecated. Use -DUSE_ENCLIB=gnutls instead.")
		set (USE_ENCLIB gnutls)
	else()
		set (USE_ENCLIB openssl)
	endif()

endif()


# Make sure DLLs and executabes go to the same path regardles of subdirectory
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

# Handle WITH_COMPILER_PREFIX and WITH_COMPILER_TYPE options
if (DEFINED WITH_COMPILER_PREFIX)
	message(STATUS "Handling compiler with WITH_COMPILER_PREFIX=${WITH_COMPILER_PREFIX}")
	# Check also type. Default is gcc.
	if (NOT DEFINED WITH_COMPILER_TYPE)
		set (WITH_COMPILER_TYPE gcc)
	endif()

	if (${WITH_COMPILER_TYPE} STREQUAL gcc)
		set (CMAKE_C_COMPILER ${WITH_COMPILER_PREFIX}gcc)
		set (CMAKE_CXX_COMPILER ${WITH_COMPILER_PREFIX}g++)
	elseif (${WITH_COMPILER_TYPE} STREQUAL cc)
		set (CMAKE_C_COMPILER ${WITH_COMPILER_PREFIX}cc)
		set (CMAKE_CXX_COMPILER ${WITH_COMPILER_PREFIX}c++)
	else()
		# Use blindly <command> for C compiler and <command>++ for C++.
		# At least this matches clang.
		set (CMAKE_C_COMPILER ${WITH_COMPILER_PREFIX}${WITH_COMPILER_TYPE})
		set (CMAKE_CXX_COMPILER ${WITH_COMPILER_PREFIX}${WITH_COMPILER_TYPE}++)
	endif()
else()
	message(STATUS "No WITH_COMPILER_PREFIX - using C++ compiler ${CMAKE_CXX_COMPILER}")
endif()


if (DEFINED WITH_SRT_TARGET)
	set (TARGET_haisrt ${WITH_SRT_TARGET})
endif()

# When you use crosscompiling, you have to take care that PKG_CONFIG_PATH
# and CMAKE_PREFIX_PATH are set properly.

# symbol exists in win32, but function does not.
if(WIN32)
	if(ENABLE_INET_PTON)
		set(CMAKE_REQUIRED_LIBRARIES ws2_32)
		check_function_exists(inet_pton HAVE_INET_PTON)
		add_definitions(-D_WIN32_WINNT=0x0600)
	else()
		add_definitions(-D_WIN32_WINNT=0x0501)
	endif()
else()
	check_function_exists(inet_pton HAVE_INET_PTON)
endif()
if (DEFINED HAVE_INET_PTON)
	add_definitions(-DHAVE_INET_PTON=1)
endif()

if (ENABLE_MONOTONIC_CLOCK)
	add_definitions(-DENABLE_MONOTONIC_CLOCK=1)
endif()

if (ENABLE_ENCRYPTION)
	if ("${USE_ENCLIB}" STREQUAL "gnutls")
		set (SSL_REQUIRED_MODULES "gnutls nettle")
		if (WIN32)
			if (MINGW)
				set (SSL_REQUIRED_MODULES "${SSL_REQUIRED_MODULES} zlib")
			endif()
		endif()

		pkg_check_modules (SSL REQUIRED ${SSL_REQUIRED_MODULES})

		add_definitions(
			-DUSE_GNUTLS=1
		)

		link_directories(
			${SSL_LIBRARY_DIRS}
		)
	else() # Common for mbedtls and openssl
		if ("${USE_ENCLIB}" STREQUAL "mbedtls")
			add_definitions(-DUSE_MBEDTLS=1)
			set (SSL_REQUIRED_MODULES "mbedtls mbedcrypto")
		else()
			add_definitions(-DUSE_OPENSSL=1)
			set (SSL_REQUIRED_MODULES "openssl libcrypto")
		endif()
		# Try using pkg-config method first if enabled,
		# fall back to find_package method otherwise
		if (USE_OPENSSL_PC)
			pkg_check_modules(SSL ${SSL_REQUIRED_MODULES})
		endif()
		if (SSL_FOUND)
			# We have some cases when pkg-config is improperly configured
			# When it doesn't ship the -L and -I options, and the CMAKE_PREFIX_PATH
			# is set (also through `configure`), then we have this problem. If so,
			# set forcefully the -I and -L contents to prefix/include and
			# prefix/lib.
			if ("${SSL_LIBRARY_DIRS}" STREQUAL "")
			if (NOT "${CMAKE_PREFIX_PATH}" STREQUAL "")
				message(STATUS "WARNING: pkg-config has incorrect prefix - enforcing target path prefix: ${CMAKE_PREFIX_PATH}")
				set (SSL_LIBRARY_DIRS ${CMAKE_PREFIX_PATH}/${CMAKE_INSTALL_LIBDIR})
				set (SSL_INCLUDE_DIRS ${CMAKE_PREFIX_PATH}/include)
			endif()
			endif()

			link_directories(
				${SSL_LIBRARY_DIRS}
			)
			message(STATUS "SSL via pkg-config: -L ${SSL_LIBRARY_DIRS} -I ${SSL_INCLUDE_DIRS} -l;${SSL_LIBRARIES}")
		else()
			if ("${USE_ENCLIB}" STREQUAL "mbedtls")
				if ("${SSL_LIBRARY_DIRS}" STREQUAL "")
					if (NOT "${CMAKE_PREFIX_PATH}" STREQUAL "")
						message(STATUS "WARNING: pkg-config has incorrect prefix - enforcing target path prefix: ${CMAKE_PREFIX_PATH}")
						set (SSL_LIBRARY_DIRS ${CMAKE_PREFIX_PATH}/${CMAKE_INSTALL_LIBDIR})
						set (SSL_INCLUDE_DIRS ${CMAKE_PREFIX_PATH}/include)
					endif()
				endif()
				if ("${SSL_LIBRARIES}" STREQUAL "")
					set (SSL_LIBRARIES  mbedtls mbedcrypto)
				endif()
				message(STATUS "SSL enforced mbedtls: -I ${SSL_INCLUDE_DIRS} -l;${SSL_LIBRARIES}")
			else()
				find_package(OpenSSL REQUIRED)
				set (SSL_INCLUDE_DIRS ${OPENSSL_INCLUDE_DIR})
				set (SSL_LIBRARIES ${OPENSSL_LIBRARIES})
				message(STATUS "SSL via find_package(OpenSSL): -I ${SSL_INCLUDE_DIRS} -l;${SSL_LIBRARIES}")
			endif()
		endif()
	endif()

	add_definitions(-DSRT_ENABLE_ENCRYPTION)
	message(STATUS "ENCRYPTION: ENABLED, using: ${SSL_REQUIRED_MODULES}")
	message (STATUS "SSL libraries: ${SSL_LIBRARIES}")
else()
	message(STATUS "ENCRYPTION: DISABLED")
endif()

if ( USE_GNUSTL )
	pkg_check_modules (GNUSTL REQUIRED gnustl)
	link_directories(${GNUSTL_LIBRARY_DIRS})
	include_directories(${GNUSTL_INCLUDE_DIRS})
	set (SRT_LIBS_PRIVATE ${SRT_LIBS_PRIVATE} ${GNUSTL_LIBRARIES} ${GNUSTL_LDFLAGS})
endif()

# Detect if the compiler is GNU compatable for flags
if(${CMAKE_CXX_COMPILER_ID} MATCHES "GNU|Intel|Clang|AppleClang")
	message(STATUS "COMPILER: ${CMAKE_CXX_COMPILER_ID} (${CMAKE_CXX_COMPILER}) - GNU compat")
	set(HAVE_COMPILER_GNU_COMPAT 1)
else()
	message(STATUS "COMPILER: ${CMAKE_CXX_COMPILER_ID} (${CMAKE_CXX_COMPILER}) - NOT GNU compat")
	set(HAVE_COMPILER_GNU_COMPAT 0)
endif()

if (DISABLE_CXX11)
	set (ENABLE_CXX11 0)
elseif( DEFINED ENABLE_CXX11 )
else()
	set (ENABLE_CXX11 1)
endif()

if (NOT ENABLE_CXX11)
	message(WARNING "Parts that require C++11 support will be disabled (srt-live-transmit)")
endif()

# add extra warning flags for gccish compilers
if (HAVE_COMPILER_GNU_COMPAT)
	set (SRT_GCC_WARN "-Wall -Wextra")
else()
	# cpp debugging on Windows :D

=== debian/changelog ===
srt (1.4.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:26:12 +0100

srt (1.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #939040)

 -- Federico Ceratto <federico@debian.org>  Tue, 17 Sep 2019 10:38:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: srt
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
  cmake,
  chrpath,
  help2man,
@@ -9,7 +9,7 @@
  pkg-config,
  python3-sphinx,
  tclsh
-Standards-Version: 4.2.1
+Standards-Version: 4.3.1
 Section: libs
 Homepage: https://github.com/Haivision/srt
 Vcs-Browser: https://salsa.debian.org/debian/libsrt

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,4 @@
 	help2man --no-discard-stderr --no-info --version-string="$(DEB_VERSION)" \
 	--name "" \
 	-o ./debian/srt-live-transmit.1 ./debian/srt-tools/usr/bin/srt-live-transmit
-	help2man --no-discard-stderr --no-info --version-string="$(DEB_VERSION)" \
-	--name "" \
-	-o ./debian/srt-multiplex.1 ./debian/srt-tools/usr/bin/srt-multiplex
 	dh_installman

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/srt-$1\.tar\.gz/ \
  https://github.com/Haivision/srt/tags .*/v?(\d\.\d\.\d*)\.tar\.gz
